"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const https_1 = require("https");
exports.default = (url, file = null) => new Promise((resolve, reject) => {
    https_1.default
        .get(url, res => {
        let data = '';
        if (file) {
            res.pipe(file);
        }
        res.on('data', chunk => {
            data += chunk;
        });
        res.on('end', () => {
            resolve(JSON.parse(data));
        });
    })
        .on('error', err => {
        reject(err);
    });
});
//# sourceMappingURL=request.js.map